holidays:
  # @attrib https://id.wikipedia.org/wiki/Hari_libur_nasional_di_Indonesia
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Indonesia
  ID:
    names:
      en: Indonesia
      id: Indonesia
    langs:
      - id
    zones:
      - Asia/Jakarta
      - Asia/Pontianak
      - Asia/Makassar
      - Asia/Jayapura
    dayoff: 'sunday'
    days:
      01-01:
        _name: 01-01
      chinese 01-0-01:
        name:
          en: Chinese New Year
          id: Tahun Baru Imlek
      easter -2:
        _name: easter -2
      05-01:
        _name: 05-01
      easter 39:
        _name: easter 39
      06-01:
        name:
          en: Pancasila Day
          id: Hari Lahir Pancasila
      08-21:
        _name: Independence Day
      12-25:
        _name: 12-25
      # Islamic
      1 Muharram:
        _name: 1 Muharram
      12 Rabi al-awwal:
        _name: 12 Rabi al-awwal
      27 Rajab:
        _name: 27 Rajab
      1 Shawwal:
        _name: 1 Shawwal
      2 Shawwal:
        _name: 1 Shawwal
      10 Dhu al-Hijjah:
        _name: 10 Dhu al-Hijjah
      # Nyepi
      # @attrib https://en.wikipedia.org/wiki/Nyepi
      '2009-03-26':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2010-03-16':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2011-03-05':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2012-03-23':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2013-03-12':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2014-03-31':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2015-03-21':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2016-03-09':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2017-03-28':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2018-03-17':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2019-03-07':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2020-03-25':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2021-03-14':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2022-03-03':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2023-03-22':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2024-03-11':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2025-03-29':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      '2026-03-19':
        name:
          en: Nyepi
          id: Hari Raya Nyepi
      # Vesak
      # @attrib https://en.wikipedia.org/wiki/Vesak#Dates_of_observance
      '2001-05-07':
        _name: Vesak
      '2002-05-26':
        _name: Vesak
      '2003-05-16':
        _name: Vesak
      '2004-06-03':
        _name: Vesak
      '2005-05-24':
        _name: Vesak
      '2006-05-13':
        _name: Vesak
      '2007-06-01':
        _name: Vesak
      '2008-05-20':
        _name: Vesak
      '2009-05-09':
        _name: Vesak
      '2010-05-28':
        _name: Vesak
      '2011-05-17':
        _name: Vesak
      '2012-05-06':
        _name: Vesak
      '2013-05-25':
        _name: Vesak
      '2014-05-15':
        _name: Vesak
      '2015-06-02':
        _name: Vesak
      '2016-05-22':
        _name: Vesak
      '2017-05-11':
        _name: Vesak
      '2018-05-29':
        _name: Vesak
      '2019-05-19':
        _name: Vesak
      '2020-05-07':
        _name: Vesak
